Trunks
List Trunks
List all trunks.
GET
/
core
/
trunks
List Trunks
curl --request GET \
--url https://api.anyreach.ai/core/trunksimport requests
url = "https://api.anyreach.ai/core/trunks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anyreach.ai/core/trunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Example",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"created_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inbound_config": {
"id": null,
"enable_noise_cancellation": false,
"media_encryption": null,
"allowed_addresses": null,
"caller_id_header": null,
"header_metadata_mappings": null
},
"outbound_config": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"address": "string",
"auth_username": "string",
"auth_password": "string",
"transport": null,
"media_encryption": null
},
"managed_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Query Parameters
Response
Successful Response
Inbound trunk configuration for SIP trunks.
Show child attributes
Show child attributes
Outbound trunk configuration for SIP trunks.
Show child attributes
Show child attributes
⌘I
List Trunks

